Bug 255314 - kplato do not update the resources allocation number when selected
Summary: kplato do not update the resources allocation number when selected
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kplato
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dag Andersen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-26 14:56 UTC by goleon
Modified: 2015-02-06 13:24 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
window with the problem (61.40 KB, image/png)
2010-10-26 14:56 UTC, goleon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description goleon 2010-10-26 14:56:37 UTC
Created attachment 52882 [details]
window with the problem

Version:           unspecified (using KDE 4.5.1) 
OS:                Linux

when selecting resources as works in the Resource tab on the task setting, the totla number of allocation remain to 0. Also it's not possible to select a "required resource".

Reproducible: Always

Steps to Reproduce:
open the task setting in the task view (with some resources as works belonging to a group, already inserted into the resources), than switch to the resource tab and select the resource, click ok and then if you re-enter in the same window, the resource is selected but the summary is still 0

Actual Results:  
is a 0

Expected Results:  
an update of the total resources used
Comment 1 Dag Andersen 2010-10-28 12:55:16 UTC
The dialog actually works as designed, but not necessarily as a user would expect :)
It got a bit complex and needs redesign or at least decent tooltips/whats this.
Short explanation:
* The number in the Allocation column for resource group is not a sum of the allocated resources. It can be used to allocate a number of resources from the group and let kplato pick the actual resources during scheduling. You can also mix this with specific allocation of resources.
* Required resources is limited to Material type of resources for now. Note that the *resourcegroup* must also be of type Material.

However, looking into this I found a bug in the scheduling of required resources. I'll see if I can fix it next week.
Comment 2 Christoph Feck 2015-02-06 13:24:25 UTC
Thank you for your bug report or feature suggestion.

The "KOffice" application suite is no longer maintained, and all tickets are now closed.

We recommend to switch to the "Calligra" application suite, which has replacements for all unmaintained KOffice applications:

- KWord was replaced with Calligra Words
- KPlato was replaced with Calligra Plan

For more information, see http://en.wikipedia.org/wiki/Calligra_Suite

(This is an automatic message from the KDE bug triaging team)